## org.eclipse.emf.ecore.util
Class EDataTypeEList.Unsettable<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.EcoreEList<E>
                              org.eclipse.emf.ecore.util.EDataTypeEList<E>
                                  org.eclipse.emf.ecore.util.EDataTypeEList.Unsettable<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Direct Known Subclasses:
  EDataTypeUniqueEList.Unsettable

Enclosing class:
  EDataTypeEList<E>

    public static class EDataTypeEList.Unsettable<E>

extends EDataTypeEList<E>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EDataTypeEList
`EDataTypeEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`EcoreEList.Dynamic<E>, EcoreEList.Generic<E>, EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>`

Field Summary
`protected boolean` `isSet`

Fields inherited from class org.eclipse.emf.ecore.util.EDataTypeEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EDataTypeEList.Unsettable(java.lang.Class<?> dataClass, InternalEObject owner, int featureID)`

Method Summary
`protected void` `didChange()` Called to indicate that the data storage has been changed.
`boolean` `isSet()` Returns whether the list is considered set, i.e., whether it's not empty.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class org.eclipse.emf.ecore.util.EDataTypeEList
`getFeatureID, isEObject, resolve`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList

`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isContainment, isInstance, isNotificationRequired, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, canContainNull, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasInverse, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`add, add, addAll, addAll, assign, basicGet, clone, containsAll, data, didAdd, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, isEmpty, isUnique, iterator, listIterator, listIterator, move, remove, retainAll, set, setData, shrink, size, toString, useEquals`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Field Detail

### isSet

    protected boolean isSet

Constructor Detail

### EDataTypeEList.Unsettable

    public EDataTypeEList.Unsettable(java.lang.Class<?> dataClass,
                                     InternalEObject owner,
                                     int featureID)

Method Detail

### didChange

    protected void didChange()

  Description copied from class: `BasicEList`
  Called to indicate that the data storage has been changed. This implementation does nothing; clients can use this to monitor change in the data storage.

  Overrides:
    `didChange` in class `BasicEList<E>`

### isSet

    public boolean isSet()

  Description copied from class: `NotifyingListImpl`
  Returns whether the list is considered set, i.e., whether it's not empty. A derived implementation may model this state directly.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `isSet` in class `EcoreEList<E>`
  Returns:
    whether the list is considered set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `unset` in class `EcoreEList<E>`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.